Bug 2210209 - numpy-2.0.0.dev0 is available
Summary: numpy-2.0.0.dev0 is available
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: numpy
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2162839
Blocks: 2239427
TreeView+ depends on / blocked
 
Reported: 2023-05-26 05:51 UTC by Upstream Release Monitoring
Modified: 2024-02-06 20:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)
Update to 2.0.0.dev0 (#2210209) (983 bytes, patch)
2023-05-26 05:51 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 2.0.0.dev0 (#2210209) (983 bytes, patch)
2023-05-29 23:14 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 2.0.0.dev0 (#2210209) (1.01 KB, patch)
2023-06-17 03:34 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 2.0.0.dev0 (#2210209) (1.01 KB, patch)
2023-06-27 01:39 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 2.0.0.dev0 (#2210209) (983 bytes, patch)
2023-07-31 12:23 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 2.0.0.dev0 (#2210209) (1.01 KB, patch)
2023-08-02 03:18 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 2.0.0.dev0 (#2210209) (1.01 KB, patch)
2023-08-14 01:57 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 2.0.0.dev0 (#2210209) (1.01 KB, patch)
2023-09-08 13:13 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 2.0.0.dev0 (#2210209) (1.01 KB, patch)
2023-09-18 05:23 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 2.0.0.dev0 (#2210209) (983 bytes, patch)
2023-10-15 14:12 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 2.0.0.dev0 (#2210209) (966 bytes, patch)
2023-11-13 22:45 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 2.0.0.dev0 (#2210209) (986 bytes, patch)
2024-01-03 09:28 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 2.0.0.dev0 (#2210209) (1.07 KB, patch)
2024-02-06 20:52 UTC, Upstream Release Monitoring
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Github numpy numpy issues 24750 0 None open BUG: Test failure of 1.26.0 on Python 3.12 2023-09-19 20:04:19 UTC

Description Upstream Release Monitoring 2023-05-26 05:51:14 UTC
Releases retrieved: 2.0.0.dev0
Upstream release that is considered latest: 2.0.0.dev0
Current version/release in rawhide: 1.24.3-1.fc39
URL: https://www.numpy.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/2509/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/numpy

Comment 1 Upstream Release Monitoring 2023-05-26 05:51:20 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
Command '['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', '/var/tmp/thn-j3aameq8/numpy.spec']' returned non-zero exit status 1.

StdOut:
setting SOURCE_DATE_EPOCH=1685059200
error: Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory

RPM build errors:
    Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory


Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 229, in build
    raise BuilderException(

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 2 Upstream Release Monitoring 2023-05-26 05:51:21 UTC
Created attachment 1966978 [details]
Update to 2.0.0.dev0 (#2210209)

Comment 3 Upstream Release Monitoring 2023-05-29 23:14:09 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
Command '['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', '/var/tmp/thn-dexu0_4u/numpy.spec']' returned non-zero exit status 1.

StdOut:
setting SOURCE_DATE_EPOCH=1685318400
error: Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory

RPM build errors:
    Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory


Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 229, in build
    raise BuilderException(

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 4 Upstream Release Monitoring 2023-05-29 23:14:11 UTC
Created attachment 1967747 [details]
Update to 2.0.0.dev0 (#2210209)

Comment 5 Upstream Release Monitoring 2023-06-17 03:34:24 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
Command '['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', '/var/tmp/thn-6qp6m95b/numpy.spec']' returned non-zero exit status 1.

StdOut:
setting SOURCE_DATE_EPOCH=1686960000
error: Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory

RPM build errors:
    Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory


Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 229, in build
    raise BuilderException(

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 6 Upstream Release Monitoring 2023-06-17 03:34:25 UTC
Created attachment 1971249 [details]
Update to 2.0.0.dev0 (#2210209)

Comment 7 Upstream Release Monitoring 2023-06-27 01:39:44 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
Command '['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', '/var/tmp/thn-brilcnhw/numpy.spec']' returned non-zero exit status 1.

StdOut:
setting SOURCE_DATE_EPOCH=1687824000
error: Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory

RPM build errors:
    Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory


Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 229, in build
    raise BuilderException(

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 8 Upstream Release Monitoring 2023-06-27 01:39:46 UTC
Created attachment 1972756 [details]
Update to 2.0.0.dev0 (#2210209)

Comment 9 Upstream Release Monitoring 2023-07-31 12:23:22 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
Command '['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', '/var/tmp/thn-ammdpxzj/numpy.spec']' returned non-zero exit status 1.

StdOut:
setting SOURCE_DATE_EPOCH=1690761600
error: Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory

RPM build errors:
    Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory


Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 229, in build
    raise BuilderException(

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 10 Upstream Release Monitoring 2023-07-31 12:23:24 UTC
Created attachment 1980880 [details]
Update to 2.0.0.dev0 (#2210209)

Comment 11 Upstream Release Monitoring 2023-08-02 03:18:13 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
Command '['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', '/var/tmp/thn-swfa9g_d/numpy.spec']' returned non-zero exit status 1.

StdOut:
setting SOURCE_DATE_EPOCH=1690934400
error: Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory

RPM build errors:
    Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory


Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 229, in build
    raise BuilderException(

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 12 Upstream Release Monitoring 2023-08-02 03:18:14 UTC
Created attachment 1981245 [details]
Update to 2.0.0.dev0 (#2210209)

Comment 13 Upstream Release Monitoring 2023-08-14 01:57:16 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
Command '['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', '/var/tmp/thn-i1gozwaz/numpy.spec']' returned non-zero exit status 1.

StdOut:
setting SOURCE_DATE_EPOCH=1691971200
error: Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory

RPM build errors:
    Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory


Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 229, in build
    raise BuilderException(

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 14 Upstream Release Monitoring 2023-08-14 01:57:17 UTC
Created attachment 1983228 [details]
Update to 2.0.0.dev0 (#2210209)

Comment 15 Upstream Release Monitoring 2023-09-08 13:13:14 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
Command '['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', '/var/tmp/thn-9d8ufdas/numpy.spec']' returned non-zero exit status 1.

StdOut:
setting SOURCE_DATE_EPOCH=1694131200
error: Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory

RPM build errors:
    Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory


Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 229, in build
    raise BuilderException(

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 16 Upstream Release Monitoring 2023-09-08 13:13:16 UTC
Created attachment 1987710 [details]
Update to 2.0.0.dev0 (#2210209)

Comment 17 Elliott Sales de Andrade 2023-09-17 02:14:09 UTC
Going to re-purpose this to point to the correct non-prerelease version. Hopefully the-new-hotness won't try to redo this again.

Comment 18 Upstream Release Monitoring 2023-09-18 05:23:22 UTC
Releases retrieved: 1.26.0
Upstream release that is considered latest: 2.0.0.dev0
Current version/release in rawhide: 1.24.4-2.fc39
URL: https://www.numpy.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/2509/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/numpy

Comment 19 Upstream Release Monitoring 2023-09-18 05:23:26 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
Command '['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', '/var/tmp/thn-yi3h9c76/numpy.spec']' returned non-zero exit status 1.

StdOut:
setting SOURCE_DATE_EPOCH=1694995200
error: Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory

RPM build errors:
    Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory


Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 229, in build
    raise BuilderException(

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 20 Upstream Release Monitoring 2023-09-18 05:23:28 UTC
Created attachment 1989295 [details]
Update to 2.0.0.dev0 (#2210209)

Comment 21 Fedora Update System 2023-09-26 16:16:11 UTC
FEDORA-2023-e1b5f14c24 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-e1b5f14c24

Comment 22 Fedora Update System 2023-09-27 01:26:12 UTC
FEDORA-2023-e1b5f14c24 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-e1b5f14c24`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-e1b5f14c24

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 23 Upstream Release Monitoring 2023-10-15 14:12:56 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
Command '['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', '/var/tmp/thn-uiq4_2i0/numpy.spec']' returned non-zero exit status 1.

StdOut:
setting SOURCE_DATE_EPOCH=1697328000
error: Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory

RPM build errors:
    Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory


Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 229, in build
    raise BuilderException(

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 24 Upstream Release Monitoring 2023-10-15 14:12:57 UTC
Created attachment 1994072 [details]
Update to 2.0.0.dev0 (#2210209)

Comment 25 Upstream Release Monitoring 2023-11-13 22:45:49 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
There is a syntax error in updated specfile. See attached diff for the changes.

Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 205, in build
    raise BuilderException(str(exc), value=output)

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 26 Upstream Release Monitoring 2023-11-13 22:45:50 UTC
Created attachment 1999193 [details]
Update to 2.0.0.dev0 (#2210209)

Comment 27 Upstream Release Monitoring 2024-01-03 09:28:09 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
Command '['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', '/var/tmp/thn-0ytxlqub/numpy.spec']' returned non-zero exit status 1.

StdOut:
setting SOURCE_DATE_EPOCH=1704240000
error: Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory

RPM build errors:
    Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory


Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 229, in build
    raise BuilderException(

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 28 Upstream Release Monitoring 2024-01-03 09:28:11 UTC
Created attachment 2006939 [details]
Update to 2.0.0.dev0 (#2210209)

Comment 29 Upstream Release Monitoring 2024-02-06 20:52:06 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
Command '['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', '/var/tmp/thn-qu8cd4rf/numpy.spec']' returned non-zero exit status 1.

StdOut:
setting SOURCE_DATE_EPOCH=1707177600
error: Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory

RPM build errors:
    Bad file: ./numpy-2.0.0.dev0.tar.gz: No such file or directory


Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 229, in build
    raise BuilderException(

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 30 Upstream Release Monitoring 2024-02-06 20:52:08 UTC
Created attachment 2015468 [details]
Update to 2.0.0.dev0 (#2210209)


Note You need to log in before you can comment on or make changes to this bug.